﻿using System.Web.Mvc;
using EleWise.ELMA.BPM.Web.Security.ExtensionPoints;
using EleWise.ELMA.ComponentModel;
using EleWise.ELMA.LdapSample.Settings;
using EleWise.ELMA.Security.Settings;
using System.Web.Mvc.Html;

namespace EleWise.ELMA.LdapSample.Web.Components
{
    /// <summary>
    /// Компонент для отображения настроек внешних модулей авторизации LDAP
    /// </summary>
    [Component]
    internal class LdapExternalMembershipRender : IExternalMembershipRender
    {

        public bool IsSupported(IExternalMembershipModuleSettings settings)
        {
            return settings as LdapExternalMembershipModuleSettings != null;
        }

        //NOTE название partial view нужно придумать свое, чтоб не было конфликтов
        public MvcHtmlString RenderDisplay(HtmlHelper html, IExternalMembershipModuleSettings settings)
        {
            return html.Partial("SampleExternalMembership/ExternalMembershipSettingsDisplay", settings as LdapExternalMembershipModuleSettings);
        }

        //NOTE название partial view нужно придумать свое, чтоб не было конфликтов
        public MvcHtmlString RenderEdit(HtmlHelper html, IExternalMembershipModuleSettings settings)
        {
            return html.Partial("SampleExternalMembership/ExternalMembershipSettingsEdit", settings as LdapExternalMembershipModuleSettings);
        }
    }
}